debian-goodies (0.81) unstable; urgency=medium

  [ Jakub Wilk ]
  * which-pkg-broke: Enforce POSIX ("C") locale without resetting $PATH to
    Python's default search path which includes the current directory and
    is hence a security issue. (Closes: #883889)

 -- Axel Beckert <abe@debian.org>  Sat, 21 Jul 2018 01:30:15 +0200

debian-goodies (0.80) unstable; urgency=medium

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Fix copy & paste error in man page for dhomepage(1).
  * Update Vcs-* headers for move to salsa.debian.org.
  * Remove trailing blank line from debian/changelog.
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
  * checkrestart: Fix logic error resulting in trying to call lsof even if
    it wasn't found. (Closes: #888276)
  * State in long package description that hard dependencies of single
    tools are listed in Recommends.
  * Install bash completions with dh_bash-completion.
    + Move according files from debian/install to debian/bash-completion.
    + Call dh_bash-completion after dh_auto_install.
    + Add bash-completion as build-dependency.
  * Add symlinks named which-pkg-broke, dhomepage and debget to
    debian-goodies.pkgnames to make their bash completion work
    again. (Closes: #892310)
  * debian-goodies.pkgnames: Only run "complete -F" if function definition
    was successful.
  * Drop "have debmany &&" to make debmany's bash-completion work again.

  [ Paul Wise ]
  * find-dbgsym-packages:
    + Add support for finding dbgsyms for executables and libraries
    + Ignore debug symbols that are in already installed packages
    + Detect debug symbols packages with no or bad meta-data
  * Use 'set -e' in shell scripts instead of 'sh -e' in shebangs
  * Fix some typos

  [ Francesco Poli ]
  * checkrestart: Fix false positive with Intel graphics card since Linux
    kernel version 4.15. (Closes: #894460)

  [ Jakub Wilk ]
  * which-pkg-broke: Massive speedup due to calling apt-cache less often.
    (Closes: #883896)

  [ Marcel Partap ]
  * debmany: Support gzip compressed text files even if the pager does not
    support them. (Closes: #892211)

 -- Axel Beckert <abe@debian.org>  Sat, 14 Jul 2018 02:38:24 +0200

debian-goodies (0.79) unstable; urgency=low

  [ Axel Beckert ]
  * Drop long obsolete alternative dependency on grep-dctrl.
  * Fix doubled program name in synopsis of check-enhancements man page.
  * Document and apply clear rules for dependencies in debian-goodies:
    + Hard dependencies of single scripts should go into Recommends.
    + Optional dependencies of single scripts should go into Suggests.
    + Document rules in debian/README.source.
    + Document the dependencies of all included scripts in the long
      package description.
    + Also add some missing package relations: apt, apt-file, man-db,
      konqueror, libgnome2-bin, procps, www-browser, x-www-browser.
    + Fix comment about kfmexec in debmany: "kfmclient exec" is meant.
    + Fix mentioned package names in debmany man pages.
  * Fix typo in comment in which-pkg-broke-build.
  * Change indentation of long package description.
  * dglob:
    + Extend dglob to support and emit architecture qualifiers.
      (Closes: #792139, #861187)
    + Add option -A to suppress architecture qualifiers in output.
    + Refactor dglob to use less code duplication.
    + Fix exit code if non-existing package was queried with "-a".
    + Add examples section to dglob.pod.

  [ Stefan Fritsch ]
  * New tool find-dbgsym-packages. (Closes: #871620)
    + Add Suggests on elfutils and libipc-system-simple-perl.

 -- Axel Beckert <abe@debian.org>  Fri, 24 Nov 2017 05:05:49 +0100

debian-goodies (0.78) unstable; urgency=medium

  * Fix checkrestart regressions from 0.77:
    + Fix TypeError with option "-n". (Closes: #882104)
    + Fix "finds no files to restart". (Closes: #882080)

 -- Axel Beckert <abe@debian.org>  Sun, 19 Nov 2017 02:21:46 +0100

debian-goodies (0.77) unstable; urgency=medium

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * debian/copyright: Switch one previously overseen URL to HTTPS.

  [ Javier Fernández-Sanguino ]
  * checkrestart:
    - Provide a switch (-m, --machine) to generate machine readable output
      based on the patch provided by Simon Ruderich and incorporating the
      suggestions from Tollef Fog Heen (Closes: #568359)
    - Provide a switch (-t, --terse) to provide terse output with
      Nagios exit codes to facilitate integration into Nagios based
      on patch provided by Jonathan Wiltshire
  * dman:
    - Fix "not found" error reporting, broken in
      27ac5129ce187c6f571cac25ef70553bb9c9d475 (Closes: #877137)
    - Use curl instead of wget (which is not part of the package depends),
      as we did with debget already
    - Make some sanity checks to try to prevent simple errors
    - Add usage function
    - Make it try to download the manual page based on user's locale
      and, if it fails, use the default (English) locale, as the
      manual page claims

  [ Nicolas Braud-Santoni ]
  * checkrestart: Properly error-out when calling lsof or pmap
    fails. (Closes: #880998)

 -- Axel Beckert <abe@debian.org>  Wed, 15 Nov 2017 04:03:44 +0100

debian-goodies (0.76) unstable; urgency=medium

  * Conflict with bikeshed (ubuntu-only package). (LP: #1728000)
  * Add Recommends on sensible-utils for dhomepage.
  * dhomepage:
    + Check for installed browsers before using them.
    + Replace all backticks with $(…).
  * Declare compliance with Debian Policy 4.1.1. (No changes needed.)
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
  * Also mention dhomepage and which-pkg-broke-build in the package
    description.
  * Sort tools in package description alphabetically.

 -- Axel Beckert <abe@debian.org>  Fri, 27 Oct 2017 20:39:30 +0200

debian-goodies (0.75) unstable; urgency=medium

  * check-enhancements: Use "apt-get indextargets" and "apt-helper
    cat-file" instead of accessing /var/lib/apt/lists/ directly. (Closes:
    #874771)
  * Declare compliance with Debian Policy 4.1.0. (No changes needed.)
  * Add debian/.debhelper/ to .gitignore.

 -- Axel Beckert <abe@debian.org>  Sat, 09 Sep 2017 19:14:27 +0200

debian-goodies (0.74) unstable; urgency=low

  [ Antoine Beaupré ]
  * dman: Offload suite and locale resolution to debiman. This optimizes the
    case where there is a typo or no actual manpage, as we only do one hit
    on the webserver.
  * dman: use the dyn.manpages.debian.org alias to speed up requests even
    more.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.0.0. (No other change needed.)
  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Mon, 19 Jun 2017 01:31:45 +0200

debian-goodies (0.73) experimental; urgency=low

  * Fix syntax error in check-enhancements when querying a package which
    isn't enhanced by any other package or when querying all installed
    packages. (Closes: #863944) Thanks Laurent Bigonville!

 -- Axel Beckert <abe@debian.org>  Sat, 03 Jun 2017 01:42:54 +0200

debian-goodies (0.72) experimental; urgency=low

  [ Axel Beckert ]
  * Add a missed bug report number to the previous changelog entry.
  * Update debman.1 and debget.pod with regards to the <pkg>=<version>
    syntax which is possible since 0.71. (See #453052)
  * dman: Don't store temporary files in the current directory, use
    $TMPDIR with fallback to /tmp/ instead. Thanks to Paul Wise for the
    bug report! (Closes: #861586)

  [ Antoine Beaupré ]
  * Try unspecified suite for upstream manpages. (Closes: #861522)

 -- Axel Beckert <abe@debian.org>  Mon, 01 May 2017 16:13:37 +0200

debian-goodies (0.71) experimental; urgency=low

  * Make debget a lightweight wrapper around "apt-get download". Speeds up
    script by up to factor 2. (Closes: #821156, #733465, #733471, #453052)
  * debget: Don't check if apt-get works properly first. Speeds script up
    again by up to factor 2.
  * debget: Remove all "set -e" and "set +e": No more necessary.
  * debmany: Fix outdated mentioning of "apt-get --print-uris --reinstall
    install" by replacing it with "apt-get --print-uris download".

 -- Axel Beckert <abe@debian.org>  Sat, 22 Apr 2017 05:00:05 +0200

debian-goodies (0.70) experimental; urgency=low

  [ Antoine Beaupré ]
  * Add dman script from Ubuntu, modified to fetch pages directly from
    manpages.debian.org, see https://github.com/Debian/debiman/issues/57
    (Closes: #860920)

  [ Axel Beckert ]
  * Fix missing close statement in checkrestart. (c.f. #855554)
    Thanks Emilio Pozuelo Monfort!
  * Suggest lsb-release for new dman command.

 -- Axel Beckert <abe@debian.org>  Sat, 22 Apr 2017 01:22:31 +0200

debian-goodies (0.69) unstable; urgency=low

  * checkrestart: Fix regression with -b/--blacklist from python3
    conversion. Thanks to Andrew Rolfe and Michael Glockenstein!
    (Closes: #835523, #854982)

 -- Axel Beckert <abe@debian.org>  Mon, 20 Feb 2017 02:37:42 +0100

debian-goodies (0.68) unstable; urgency=medium

  * Fix "TypeError: a bytes-like object is required, not 'str'" when
    checkrestart is called with "-p". (Closes: #851992) Thanks to Benedikt
    Trefzer for the bug report!

 -- Axel Beckert <abe@debian.org>  Sat, 21 Jan 2017 16:36:15 +0100

debian-goodies (0.67) unstable; urgency=low

  * Add a rudimentary which-pkg-broke-build. (It's a wrapper around
    which-pkg-broke and does the same but for build dependencies;
    closes: #795812)
  * debmany:
    + Fix error message upon non-existing package.
    + Fix wrong error "no package" if package already had been
      downloaded. (Closes: #847732)
  * Simplify debian/manpages by using wildcards.

 -- Axel Beckert <abe@debian.org>  Sun, 11 Dec 2016 16:18:56 +0100

debian-goodies (0.66) unstable; urgency=medium

  [ Paul Wise ]
  * checkrestart: Improve readability of the DEBUG output when running
    commands.
  * popbugs:
    - Add missing --debug option in usage statement
    - Add popbugs- prefix to the temporary HTML files
  * Cleanups: trailing whitespace, typos, capitalization, http URLs,
    boolean variables, UTF-8, install info, file naming

  [ Axel Beckert ]
  * Normalize debian/install (just one line per installation target)

 -- Axel Beckert <abe@debian.org>  Sat, 20 Aug 2016 14:25:20 +0200

debian-goodies (0.65) unstable; urgency=low

  [ Paul Wise ]
  * checkrestart: Ignore /memfd: files

  [ Axel Beckert ]
  * Switch Vcs-Git from git:// to https://.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Install bash-completion files to /u/s/bash-completion/completions/
    instead of the old, deprecated /etc/bash_completion.d/. Add
    debian/maintscript to remove the obsolete conffiles.
  * checkrestart: Ignore dbus package. (Closes: #777691)
  * Apply wrap-and-sort.

  [ Peter Colberg ]
  * checkrestart: Skip files under /dev/. (Closes: #827696)

  [ Chris Lamb ]
  * debmany: Provide a hint if there also exists a package named $pkg-doc,
    $pkg-common or $pkg-data. (Closes: #798407)

  [ Alexandre Detiste ]
  * Port all Python scripts to Python 3. (Closes: #787167)

 -- Axel Beckert <abe@debian.org>  Thu, 04 Aug 2016 23:59:14 +0200

debian-goodies (0.64) unstable; urgency=low

  [ Axel Beckert ]
  * [debget]
    - Fix typo in error message (Closes: #733466)
  * [dgrep]
    - Fix old name "dpkg-grep" in error message.
    - Consistently prefix error messages with program name.
    - Properly handle more than one package or glob as parameter as
      promised by the man page. (dglob can only handle one glob parameter
      per call.)
  * [checkrestart.1]
    - Fix multiple rendering and consistency issues
    - Refer to /usr/share/common-licenses/GPL-2 instead of …/GPL
  * [dhomepage.1]
    - Minor formatting improvements
  * [*.pod]
    - Fix groff-ism
    - Refer to /usr/share/common-licenses/GPL-2 instead of …/GPL
    - Mark references to files or other man pages as such
    - Use correct manual sections for apt-get and aptitude (8 vs 1)
  * Declare compliance with Debian Policy 3.9.6 (no further changes needed)
  * Update Vcs-Browser to use https and the cgit web frontend.
  * Convert debian/copyright to machine-readable DEP5 format.
    - Add so far not explicitly listed files to debian/copyright.
    - Add lintian override for copyright-refers-to-symlink-license as the
      author of debmany didn't specify a version and instead refers to the
      generic online version which always points to the newest version as
      Debian's symlink does.
    - Update years in debian/copyright.

  [ Javier Fernández-Sanguino ]
  * [checkrestart]:
    - Remove util-linux from the blacklist to have it report
      on getty processes that need to be restarted. (Closes: #688808)
    - Only complain and exit with error if not running as root when the script
      is going to be run. Do not complain if it is called with -h or -v.
    - Add preliminary support for systemd in checkrestart. Now, if the
      system is using systemd and there are service files for a package the
      admin is pointed to 'systemctl' (and systemd itself is ignored by
      checkrestart). Compatibility with packages only providing init.d files
      (or not using systemd) is still maintained.
    - Remove the packages that are ignored instead of keeping them in the
      list of packages to be processed (and ignore them later)
    - Tighten up the regular expression to avoid false positives with files
      that contain 'deleted' as part of their name. Patch provided by Simon
      Ruderich (Closes: #758711)
    - Apply patch provided by Felix C. Stegerman that prevents Python errors
      under some use scenarios (Closes: 731386)
    - Add other command interpreters: ruby (common) and tclsh (infrequent)
      to make it look for the real program
    - Add patch provided by Ian Bissett that implements an alternative
      mechanism to check for deleted files using /proc instead of lsof.  This
      seems to be more efficient on systems with a large number of files.
      This mechanism is used when lsof is not available or when the user
      explicitly asks it not to be used. It will be probably enabled
      by default in future releases (Closes: #775472)
    - Checkrestart now does not depend on lsof and will run an alternative
      mechanism if not installed. Users can prevent it from running it (using
      -n) if they so choose (Closes: #589103, #735278, #750025)
    - Skip /var/lib/postgresql from the processed files
      (Closes: #767335, #751729)
    - Skip [aio] files generated in MySQL and Nginx servers and with
      multipath-tools (Closes: #748055, 867638, LP: #1313705)
    - Skip library files from VDR as it contains deleted FIFO files
      (Closes: #717210)
    - Add workaround to have checkrestart work in OpenVZ environments with
      patch provided by Ralf Jung (Closes: #747003)
  * [debmany]
    - Fix typo (use -> usr) in manpage (Closes: #737512)
    - Indicate that /tmp (or /var/tmp) are used for the temporary files,
      not /dev/shm anymore since #679457 was fixed (Closes: #737513)
    - Exit proper error message when apt-get is failing for some reason
      instead of claiming that the package does not exist (Closes: #714964)
  * [dpigs]
    - Add -H option to the manual page, thanks to 'aafuentes' for the patch
      (Closes: #724248)
  * [dglob, dglob.pod]
    - Add a new '-n' option to make it possible to search for packages that
      are available but not installed, thanks to A. Costa (Closes: #594959)

  * Change license of manual pages written by author to GPL-2

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 23 Jan 2015 01:07:34 +0100

debian-goodies (0.63) unstable; urgency=low

  * [checkrestart]:
    - Handle programs setting $0 / argv[0] incorrectly (e.g. spamd, see
      https://bugzilla.redhat.com/show_bug.cgi?id=755644; Closes: #715000)
      Thanks Wolodja Wentland!
    - Add special case to recognize spamds despite their manually set $0.
  * Mention check-enhancements in the long description
  * Add example to checkrestart's man page (LP: #280793)

 -- Axel Beckert <abe@debian.org>  Fri, 05 Jul 2013 14:47:10 +0200

debian-goodies (0.62) unstable; urgency=low

  [ Paul Wise ]
  * [checkrestart]
    - don't get confused by deleted interpreters (Closes: #696139)

  [ Axel Beckert ]
  * [dgrep]
    - Support (d)zegrep and (d)zfgrep.
    - Fix quoting to allow patterns with blanks
  * [check-enhancements]
    - New command by George Danchev (Closes: #679927)
    - Optimize --help message for help2man
    - Add build-dependency on help2man for check-enhancements' man page
  * [which-pkg-broke]
    - Use 2x dpkg instead of dpkg-architecture  (Closes: #665880)
    - Don't read architecture list again for each package to check (much
      faster now, thanks to Jakub Wilk for the idea!)
  * [debmany]
    - Use curl --location to support redirects (Closes: #679225)
    - No more use /dev/shm for temporary files (Closes: #679457)
  * [checkrestart]
    - Check ignorelist for package name equality, not substring match.
      Thanks Francesco Poli! (Closes: #696533)
    - Also ignore log and temp files under /var/local/ (Closes: #695151)
    - Ignore options between interpreter and script name (Closes: #678635)
  * Bump debhelper compatibility to 9 to be able to use some more recent
    features. Update versioned debhelper build-dependency accordingly.
  * Revamp debian/rules
    - No more remove stamp files manually.
    - Use debian/links instead of calling ln manually in debian/rules
    - Use dh_install/dh_link to install all the scripts
    - Use debian/manpages instead of parameters to dh_installman
    - Use debian/docs instead of parameters to dh_installdocs
    - Fix lintian warning dh-clean-k-is-deprecated and use dh_prep
    - Finally switch to dh v7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort
  * Update copyright years in debian/copyright

 -- Axel Beckert <abe@debian.org>  Thu, 04 Jul 2013 21:59:21 +0200

debian-goodies (0.61) unstable; urgency=low

  * [checkrestart]
     - Prover fix to avoid false positives due to /drm (Closes: #548380)
     - Add patch provided by Tollef Fog Heen which includes a new -b
       (blacklist) option. This makes it possible for system
       administrators to prevent false positives or known issues
       from reports (Closes: #649168, 632032)
     - Fix behaviour of the -p option in several ways to both ensure that the
       test is done properly and that it does not consume unnecessary CPU
       resources. Also process STDERR instead of showing its contents to the
       end-user. (Closes: #657653, #513189)
     - The -p option now works also when libraries have been upgraded and the
       files in use are no longer present in the file system.
     - Do not abort if running in a vserver environment. In these environments
       the init system (i.e PID 1) is unaccessible. (Closes: 674296)
     - Introduce a -i option to make it possible to ignore a given set of
       packages from the output
     - Add util-linux and screen to the default ignorelist since these
       packages' initscripts are no-op (Closes: #673045)
     - Fix reading of dpkg-query process which can deadlock due to buffering
       when --query is given too many arguments or --listfiles returns a long
       list of items
     - Improve handling of interpreted files using patch provided by Guillaume
       Delacour and Michal Fiala (Closes: #657087)
  * [debget]
     - Allow error in apt calls since those are handled by the script
       (Closes: 676715)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 16 Jun 2012 04:22:24 +0200

debian-goodies (0.60) unstable; urgency=low

  * The Handling-Multi-Arch Release

  * Change Vcs-* headers to new git repository (Closes: #623379)
  * Bump Standards-Version to 3.9.3 (no changes)
  * [dhomepage]
     - Handle multiple available packages and multiple homepage
       URLs (Closes: #664868)
  * [which-pkg-broke]
     - Show time info for all installed "Multi-Arch: same" packages
       (Closes: #658846)
     - No more swallows all exceptions (Closes: #654458)
     - Correctly handle alternative dependencies (Closes: #516904)
  * [debmany]
     - Replace less by sensible-pager, remove dependency on less. (Closes:
       #610563)
     - Fix many typos in man pages (see #610563, thanks Justin B Rye!)
     - Fix output from wrong package when backports are involved (Closes:
       #647158, thanks Kenyon Ralph)
     - Bump version number to 1.4
  * [checkrestart]
     - Skip nagios spool files (Closes: #637238, thanks Guillaume
       Delacour)
     - Use service instead of direct call of initscript (Closes: #602186,
       #592436, thanks Jörg Sommer)
  * [bash_completion]
     - Install debmany bash completion file to /etc/bash_completion.d
       instead of as example. Rename it for easier use of dh_install.
     - Add bash package name completion for which-pkg-broke (Closes:
       #641877), dhomepage, and debget. (Based on devscript's package name
       completion which is under GPLv2+, too)
  * Fix the following lintian warnings:
    - copyright-refers-to-symlink-license
    - debian-rules-missing-recommended-target
  * Thanks Jakub Wilk for many bugfix patches!

 -- Axel Beckert <abe@debian.org>  Sun, 25 Mar 2012 17:33:42 +0200

debian-goodies (0.59) unstable; urgency=low

  * [checkrestart]:
    - Properly define variables to prevent Python errors when using the
      -p switch (Closes: #646513)
    - Pass a default environment for all subprocess calls

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 25 Oct 2011 00:19:02 +0200

debian-goodies (0.58) unstable; urgency=low

  * [dglob]
    - Remove any empty lines from grep-dctrl's output (Closes: 646189)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 23 Oct 2011 13:54:27 +0200

debian-goodies (0.57) unstable; urgency=low

  * [checkrestart]:
     - Exclude /run/ from the deleted files check, this prevents
       false positives from some programs such as newer releases of
       jackd2 and chromium which use /run/shm/ instead of
       /dev/shm/ (Closes: #595096)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 10 Oct 2011 23:05:30 +0200

debian-goodies (0.56) unstable; urgency=low

  * [checkrestart]:
     - Use patch provided by Jörg Sommer and Piotr Kaczuba that makes the
       script use a set for the initscripts information, thus making the
       program work with Python 2.7 (Closes: #643977)
     - Fix behaviour of -p so that it does not consider files that do
       not belong to any package, thanks to Peter Eisentraut for the
       patch. (Closes: #608387)
     - Fix handling of --verbose option (Closes: #623168)
     - Exclude /dev/shm/ from the deleted files check, this prevents
       a false positive from some programs such as jackd2 (Closes: #595096)
     - Exclude /home from the deleted files check as these
       generate a number of false positives. This included: GNOME's mixer
       applet, dovecot, nautilus, chromium-broswer and evolution-data-server
       (Closes: #595096, #609454)
  * [checkrestart.1]:
     - Update the manpage to indicate what information to provide when
       reporting a false positive in checkrestart
  * /debmany/man/debmany.1:
     - Fix typo in manpage (Closes: #600252)


 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 09 Oct 2011 20:51:11 +0200

debian-goodies (0.55) unstable; urgency=low

  * [ dglob ] Clean up bashims (Closes: #600156)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 14 Oct 2010 21:33:18 +0200

debian-goodies (0.54) unstable; urgency=low

  * debian/control: Turn the lsof Depends: into Recommends for the benefit
    of the kfreebsd architectures (i.e. to make it possible for it to be
    installed in these as lsof is not available there). Unfortunately,
    we cannot use a Depends based on architecture as we are Arch: all
    (Closes: #594431)
  * [checkrestart]: Complain if lsof is not installed (could happen since
    it is now in Recommends) and abort as we do not currently have
    an alternative (psdel still unfinished...)
  * [checkrestart]: Fix false positive with Xorg in some specific Xorg
    servers due to the use of /drm. Thanks to Tarek Soliman for the patch.
    (Closes: 548380)
  * [dglob, dglob.pod]: Use grep-aptavail when the user requests all packages
    listed. Also use apt-file if available since if the package is not
    installed then the list of files is not available in the system
    (Closes: #594426)
  * Include a new 'debpaste' which is borrowed from https://paste.debian.net
    (more specifically http://ankh-morp.org/~vetinari/tools/paste-dn.pl).
    Adjust debian/copyright accordingly to acknowledge the author and
    its copyright. This script is not yet distributed as Recommends/Depends
    have to be adjusted to accommodate it, and a manpage needs to be written,
    but it will be used as a basis to coses bug #476099.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 02 Oct 2010 18:54:36 +0200

debian-goodies (0.53) unstable; urgency=low

  * [checkrestart] Fix numerical use of errno. Thanks Jakub Wilk! See
    https://lists.debian.org/debian-hurd/2010/08/msg00006.html for details.
  * [checkrestart] Fix Python string exception. Thanks Jakub Wilk for the
    patch. (Closes: #585198)
  * [dpigs] Fix getopt configuration for -h. Thanks Jakub Wilk for
    spotting this. (Closes: #584580)
  * Bump Standards-Version to 3.9.1 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 04 Aug 2010 12:35:05 +0200

debian-goodies (0.52) unstable; urgency=low

  * Added myself as Uploader.
  * Added Vcs-* header to debian/control
  * Switch to source format "3.0 (native)"
  * debget now downloads the correct package if apt-get would download
    multiple packages due to missing dependencies. Thanks Jakub Wilk for
    the patch! (Closes: #536377, #522491)
  * dpigs: New option -H which outputs human-readable packages sizes
    similar to "ls -lh" or "du -h" (Closes: #307910)
  * Updated dpigs documentation to match current command line options.
  * Fixed deprecation warning in which-pkg-broke with Python 2.6 by using
    the subprocess instead of popen2 module. Thanks Jakub Wilk for the
    patch! (Closes: #582924)
  * Added which-pkg-broke to the package's long description (Closes: #563279)
  * Bumped standards version to 3.8.4 (no changes other than those
    mentioned elsewhere in the changelog entry)
  * Bumped debhelper compatibility to 5 and fixed the following related
    lintian warnings:
    + package-uses-deprecated-debhelper-compat-version
    + package-lacks-versioned-build-depends-on-debhelper
    + debian-rules-sets-DH_COMPAT
  * Add dependency on perl (used by dpigs)
  * Removed dependency without version on essential package
    debianutils. Fixes lintian error
    depends-on-essential-package-without-using-version.
  * Fixed the following lintian errors and warnings:
    + [debian/control] debhelper-but-no-misc-depends
    + [debian/control] clean-should-be-satisfied-by-build-depends
    + [checkrestart.1] spelling-error-in-manpage
  * Fixed typo in dglob(1) man page (Closes: #535477)

 -- Axel Beckert <abe@debian.org>  Sat, 29 May 2010 19:13:09 +0200

debian-goodies (0.51) unstable; urgency=low

  * Include patch from Jiri Palecek that makes checkrestart work
  with processes that lack a proper link /proc/$PID/exe. This seems to happen
  with UML processes and confused the program. (Closes: 522850)
  * Include patches provided by Joerg Sommer for checkrestart:
  (Closes: 511537)
     -  Set locale to POSIX ('C') since the output of dpkg is localized and
        localisations makes the match for diversions fail.
     - Skip the last output line from diversions since it is a summary
       listing packages that are part of a diversion.
     - Use dpkg-query instead of dpkg since dpkg-query is the generic interface
       for querying the dpkg database is dpkg-query, and dpkg is only a
       wrapper for it.
     - Removed useless check in the isdeletedFile function that covers
       mutt in /tmp since there is already a match for /tmp
  * checkrestart: don't complain about processes that have deleted files
    in /var/tmp

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 02 May 2009 17:53:57 +0200

debian-goodies (0.50) unstable; urgency=low

  * Use patch provided by Thadeu Lima de Souza Cascardo to:
    - Remove bashisms from dhomepage, thanks to Raphael Geissert.
    - Really install dhomepage.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 01 Mar 2009 23:49:01 +0100

debian-goodies (0.49) unstable; urgency=low

  * Sat which-pkg-broke's in a couch and fixed his problems with its own
    identity (Closes: #516434)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 21 Feb 2009 17:20:04 +0100

debian-goodies (0.48) unstable; urgency=low

  * Provide dhomepage application (and manual page) that can be used
    to open a packages' homepage. This program was provided by
    Thadeu Lima de Souza Cascardo (Closes: 500397)
  * Document degrep, dfgrep and dzgrep through the dgrep manpage by creating a
    symlink during package installation, thanks to Xavier Luthi for the
    patch. (Closes: 403845, 403844, 403843)
  * Add a proper (C) and license header to debget and dpigs
  * checkrestart:
       - skip deleted files in /var/cache/fontconfig/
       - add a 'a' ('all') command line switch to process all deleted
         files, regardless of location
       - add a 'p' ('package') command line switch to process only
         files which are associated with a given package
       - adjust command line options in usage()
    (Closes: 497611)
  * dpigs: Use script snippet provided by Aaron M. Ucko to make it possible
    to group by source package, use a new (-S, --source) option.
    (Closes: 511349)
  * debget:
       - check the contents of /var/lib/apt/lists before executing
         apt to warn if there is no Release information there
       - document that APT's package database needs to be up-to-dat if a
         package is not found (might happen to aptitude users)
  * popbugs: adjust error message:
        - popularity contest is now run through cron.daily
        - provide the command line needed to generate the popconf data
     (Closes: 500432)


 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 25 Jan 2009 20:59:06 +0100

debian-goodies (0.47) unstable; urgency=low

  * debget: use 'head' instead of 'tail' when using apt-get --print-uris to
    get the first occurrence of a package. This makes it properly download
    -data packages instead of the  (Closes: #491588)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 21 Jul 2008 22:46:37 +0200

debian-goodies (0.46) unstable; urgency=low

  * Add call to dh_installexamples in debian/rules

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 19 Jul 2008 01:36:25 +0200

debian-goodies (0.45) unstable; urgency=low

  * Fix installation of examples so now debmany's bash_completion file is
    installed.
  * checkrestart:
    - Apply patch provided by Piotr Kaczuba to make checkrestart reliable
      again by handling lsof's output when deleted libraries are
      referenced as 'path inode' (Closes: #491235)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 19 Jul 2008 01:12:20 +0200

debian-goodies (0.44) unstable; urgency=low

  * checkrestart:
   - Remove extra space in call to dpkg (Closes: #490399)
   - Prevent warnings when using mutt (it creates deleted files)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 12 Jul 2008 14:19:51 +0200

debian-goodies (0.43) unstable; urgency=low

  * Fix typo in checkrestart's call to dpkg (Closes: #490179)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 11 Jul 2008 17:22:50 +0200

debian-goodies (0.42) unstable; urgency=low

  * Updated to version 1.3 of debmany provided by Michael Arlt:
    - add bash_completion example into examples
    - add less to Depends, as it is the default viewer for other files.
    - add zenity to Suggests, it is a graphical alternative for dialog.
  * Fix popbugs to prevent it from removing temporary files before the browser
    has opened them, thanks to Chris Lamb for the bug report and the fix
    (Closes: #471752)
  * checkrestart:
    - Add /usr/lib/locale/ to the list of exceptions to prevent false
    positives when locales are reconfigured.
    - Change os.popen call to a subprocess.Popen call since Python 2.5 does
    not seem to like lists in os.popen and because subprocess is preferable
    here.
    - Recode the utility so that the checks for deleted files and descriptors
    is not duplicated.
    - Remove the (useless) check for deleted descriptor
    - Rewrite the handling of lsof results to be more accurate and
    understandable.
    - Add a 'verbose' option that makes it list all the (supposedly) deleted
    files and descriptors used by the processes (Closes: #466811, #475397) -
    Add icon-theme.cache  to the list of deleted files that will be flagged
    (Closes: #469133)
    - Fix properly the handling of /usr as a symlink, the code had some stuff
      that was used as test case and should have been replaced before
      uploading, oops. (Closes: #405040)
   * Add myself to author list in debian/copyright, and fixed a lintian
     warning there too.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 10 Jul 2008 00:30:39 +0200

debian-goodies (0.41) unstable; urgency=low

  * Make the dpkg --list query use an array to call the shell so that odd
    package names will not affect it.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 29 Mar 2008 21:38:20 +0100

debian-goodies (0.40) unstable; urgency=low

  * checkrestart:
     - skip deleted files under /dev/pts/ to prevent telling users to
       restart gpm (Closes: 468124)
     - support /usr being symlinked (Closes: 405040)
     - minor changes in output messages.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sat, 01 Mar 2008 16:36:40 +0100

debian-goodies (0.39) unstable; urgency=low

  * Remove the network-test script, which now has been moved to the
    ifupdown-extra package. Also remove the dependencies introduced by
    that script.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 18 Dec 2007 21:37:18 +0100

debian-goodies (0.38) unstable; urgency=low

  * Fix bug in network-test which prevent it from working properly
    when no verbose level was set.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 14 Oct 2007 23:19:07 +0200

debian-goodies (0.37) unstable; urgency=low

  * checkrestart:
      - Do not complain about deleted files in /tmp, /var/run or /var/log
        when seen as descriptors (Closes: #441529)
      - Fix typo in checkrestart (Closes: #444473)
  * network-test:
      - Include patch provided by Federico Ceratto which adds command
        line support, allows the setting of a verbosity level and makes
        it possible to log to syslog based on that level. This patch
        is useful if the script is run through init, cron or other
        task-scheduling tool.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 14 Oct 2007 23:01:40 +0200

debian-goodies (0.36) unstable; urgency=low

  * Exclude /var/run contents from the deleted files check which means
    that apache2, when using mod_ssl should now not be reported
    as needing a restart (Closes: 432569, 482136)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 06 Sep 2007 23:37:03 +0200

debian-goodies (0.35) unstable; urgency=low

  * Make it Depend on python => 2.4 as the subprocess module used by
    checkrestart is not available in 2.3
  * Add CVE name to previous changelog entry
  * Minor typo fix in debian/control

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 04 Sep 2007 23:28:58 +0200

debian-goodies (0.34) unstable; urgency=high

  * Fix security bug that enables users to generate files in the
    filesystem with shell metacharacters and have the checkrestart
    script run external code (as root, since the script will only
    run as admin). This is CVE-2007-3912. (Closes: 440411)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 02 Sep 2007 23:07:30 +0200

debian-goodies (0.33) unstable; urgency=low

  * Added description of demany in debian/control
  * Added dependencies/suggestions needed for debmany

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 29 Aug 2007 17:31:18 +0200

debian-goodies (0.32) unstable; urgency=low

  * Put debmany in the proper location (/usr/bin)
  * Remove vi swap file from sources
  * Small changes to debmany binary (typo, versiondate and a comment)
  * Update debmany's manpages, I was putting in a previous version.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 28 Aug 2007 23:35:26 +0200

debian-goodies (0.31) unstable; urgency=low

  * Introduce the debmany script written by Michael Arlt  (it was actually in
    the sources of 0.30 but not installed in the binary package)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 27 Aug 2007 19:05:46 +0200

debian-goodies (0.30) unstable; urgency=low

  * checkrestart changes:
    * Do not warn on processes than use /dev/zero and shows up as
      deleted. This prevents it from warning about apache2 (Closes: #432569)
    * Slightly improve the messages output.
    * Find init.d scripts even if not provided in the package by looking
      for init.d scripts that match the process name (works for apache2 too)
  * Fix some typos in which-pkg-broke(1) (Closes: #409581)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 22 Aug 2007 22:59:27 +0200

debian-goodies (0.29) unstable; urgency=low

  * Network-test: use -t switch to use user's TMPDIR or /tmp instead of
    trying to create it under $PWD (Closes: #432311)
  * Add a Suggests: netcat (Closes: #400479)
  * popbugs:
      * Make it parse the new format of the RC buglist properly (Closes: #421355)
      * Add a debug option
      * Fix a typo in the output
  * Change maintainer's email address in debian/control

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Mon, 09 Jul 2007 18:23:53 +0200

debian-goodies (0.28) unstable; urgency=low

  * Apply patch by Francesco Potorti that makes checkrestart list
    processes that should be restarted when a daemon is restarted.
    This helps warn users that some processes will not be restarted
    even though they use the init script (such as active ssh connections). And
    need to be restarted manually (Closes: #290265)
  * Be more verbose when nothing needs to be done (the user might think that
    the script did not do anything!)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 19 Dec 2006 11:24:57 +0100

debian-goodies (0.27) unstable; urgency=medium

  [ Fixes I would like to see in etch, even though we're on freeze now ]
  * Fix checkrestart with patch provided by Justin Pryzby, modify to reduce
    false positives by not complaining about deleted inodes/files under
    /tmp/, /var/log/ or named /SYSV. This fixes the long-standing issue that
    made this script rather useless (related to lsof, see bug #297029, and to
    changes in dpkg)  (Closes: #264985)
    (Note I have included the code from Sam Morris, available at
    https://robots.org.uk/src/psdel and contributed in the BTS. But it still
    needs to be massaged to work as a replacement for lsof)
  * Write a manpage for checkrestart so administrators are aware that this
    tool should not be completely relied on. (Closes: #305279)
  * Update the version of network-test which fixes some of the bugs already
    fixed in the experimental 'ifupdown-extra' package:
    [ Note: Post-etch network-test will be removed from this package but
      I rather not try to introduce an experimental package such as
      ifupdown-extra into etch right now ]
      * Make network-test use bash (Closed: #401363)
      * Do not analyse resolv.conf lines that have been commented out.
      * Change network-test so it does not complain loudly if ethtool is not
        installed (just recommends its installation)
      * Fix duplicate spaces in the script as well as some typos with patch
        provided by Norbert Kiesel (Closed: #400463)
      * Change behaviour of network-test when testing ethernet link
        (based on ifupdown-extra's 'check-network-cable' tests) this is better
        (and more reliable) than just using 'ifconfig' but requires users
        install additional software.
   * Lintian error fix: FSF address

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 19 Dec 2006 01:59:13 +0100

debian-goodies (0.26) unstable; urgency=low

  * Remove extra space from which-pkg-broke which introduced a syntax
    error (Closes: #396786)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  3 Nov 2006 00:53:17 +0100

debian-goodies (0.25) unstable; urgency=low

  * Depend on dctrl-tools since grep-dctrl is a transitional package, keep
    grep-dctrl to make it possible to backport this package (Closes: #385478)
  * which-pkg-broke now looks in Pre-Depends thanks to the patch submitted by
    Josh Triplett (Closes: #394950)
  * Network-test changes:
    - now uses bash only (Closes: #396324)
    - correctly detects an interface as UP if it has been forced to a
      given speed (Closes: #396336)
    - do not test nameservers that have been commented out from resolv.conf
    - fix a typo in a message

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  1 Nov 2006 10:39:09 +0100

debian-goodies (0.24) unstable; urgency=low

  * Taking up this package as new maintainer, after talking with Matt
    on private mail.
  * Fix Frank Lichtenheld's mail in all manpages (Closes: #249818)
  * Changes to debget:
    - debget --help (or -h) now works as expected. Introduce usage
      in the tool to warn on errors when calling it (Closes: #251353)
    - Any other options are rejected (as they would be passed on to apt)
    - Additional error checking in debget to prevent it from going ahead
      when something goes wrong, this includes checking first if the
      apt-get dependencies are right and that the package the user asked
      us to retrieve exists (Closes: #283401)
    - Use apt-cache instead of apt-get to get the version as
      'apt-get -q2 -s --reinstall install' requires, for some reason,
      super cower powers. This makes it possible to download packages
      without satisfying dependencies (Closes: #369494)
    - Document the fact that downloading packages from the package cache
      is not supported both in the manpage and in the program's output
      (Closes: #224857)
  * Fix manpage dglob typos as well as the header of the documentation
    generated by pod2man (Closes #228302, #305802)
  * Have debman use bash as a shell (Closes: #369762)
  * Set LC_NUMERIC to 'C' in dpigs as suggested by Bill Allombert (Closes:
    #368227)
  * Move checkrestart to /usr/sbin (Closes: #329723)
  * Have dglob exit with a '1' exit status if no packages match the globbing
    pattern (Closes: #292585)
  * Make popbugs properly extract the file provided by the user instead of
    /var/log/popularity-contest, if requested to (Closes: #263471)
  * Fix typo in popbugs.1 manpage (AUTOR -> AUTHOR)
  * Include which-pkg-broke Python script contributed by Bill Gribble and
    wrote its associated manpage (Closes: #231470)
  * Include network-test shell script contributed by myself and
    wrote its associated manpage (Closes: #307694)
  * Use debhelper compatibility version 4

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 23 Jul 2006 21:42:54 +0200

debian-goodies (0.23) unstable; urgency=low

  * Man page for popbugs from Jochen Voss <voss@debian.org> (Closes:
    #227094)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 14 Jan 2004 21:10:42 -0800

debian-goodies (0.22) unstable; urgency=low

  * Fix typo, improve description in dglob(1) (Closes: #224561)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Dec 2003 23:38:26 -0800

debian-goodies (0.21) unstable; urgency=low

  * Fix program name in popbugs usage message (Closes: #224490)

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Dec 2003 08:03:59 -0800

debian-goodies (0.20) unstable; urgency=low

  * Updated man page for dpigs, and new man page for dglob, from Frank
    Lichtenheld <frank@lichtenheld.de> (Closes: #224394)
  * Enhance dglob to accept some grep-dctrl options, and update the man
    page appropriately

 -- Matt Zimmerman <mdz@debian.org>  Thu, 18 Dec 2003 09:54:30 -0800

debian-goodies (0.19) unstable; urgency=low

  * Actually install those nice man pages (really Closes: #163823)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Dec 2003 17:48:36 -0800

debian-goodies (0.18) unstable; urgency=low

  * Include man pages for debget, dgrep and dpigs from Frank Lichtenheld
    <frank@lichtenheld.de> (Closes: #163823)
  * Implement option parsing in dpigs, because it confuses everyone to
    pass options to head(1) directly (Closes: #212926)
  * Fix checkrestart to deal with the garbage that comes from
    /proc/pid/exe sometimes (null bytes, etc.)
  * Teach checkrestart about dpkg's habit of spitting out diversion
    information in response to a --search query (Closes: #211785)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 16 Dec 2003 17:12:50 -0800

debian-goodies (0.17) unstable; urgency=low

  * Remove empty /usr/sbin directory (Closes: #205450)
  * Enhance debian-goodies to give a hint about needing popularity-contest
    if the data isn't present, and automatically launch sensible-browser
    (use "popbugs -o -" to get the old behaviour) (Closes: #205662)
  * Depends: python (>= 2.3), as we use NamedTemporaryFile

 -- Matt Zimmerman <mdz@debian.org>  Fri, 15 Aug 2003 21:35:16 -0400

debian-goodies (0.16) unstable; urgency=low

  * Fix another buglet in popbugs where it would incorrectly parse
    bugscan's inconsistent HTML

 -- Matt Zimmerman <mdz@debian.org>  Thu, 14 Aug 2003 12:26:16 -0400

debian-goodies (0.15) unstable; urgency=low

  * Fix a bug in popbugs where it would misparse things when the block was
    surrounded by a <font> tag

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Aug 2003 17:34:56 -0400

debian-goodies (0.14) unstable; urgency=low

  * Minor formatting changes to checkrestart
  * New program, popbugs, which sorts and filters the RC bug list based on
    data from popularity-contest
  * Suggests: popularity-contest

 -- Matt Zimmerman <mdz@debian.org>  Wed, 13 Aug 2003 17:30:59 -0400

debian-goodies (0.13) unstable; urgency=low

  * Fix checkrestart to not fail on certain types of bogus data in /proc,
    specifically, when readlink() gives ENOENT.

 -- Matt Zimmerman <mdz@debian.org>  Mon, 19 May 2003 19:00:53 -0400

debian-goodies (0.12) unstable; urgency=low

  * Fix typo-bug which caused a lot of false positives in checkrestart

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 May 2003 16:17:27 -0400

debian-goodies (0.11) unstable; urgency=low

  * s/dpkg-query/dpkg/ on dglob as well
  * Fix checkrestart to exclude certain common init scripts which don't
    actually restart a service

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 May 2003 15:32:49 -0400

debian-goodies (0.10) unstable; urgency=low

  * Modify checkrestart to use dpkg rather than dpkg-query, so that it can be
    used on stable and does not require a dependency on newer dpkg

 -- Matt Zimmerman <mdz@debian.org>  Fri,  2 May 2003 10:19:15 -0400

debian-goodies (0.9) unstable; urgency=low

  * Add dependencies on lsof and python

 -- Matt Zimmerman <mdz@debian.org>  Wed, 30 Apr 2003 14:20:54 -0400

debian-goodies (0.8) unstable; urgency=low

  * New program, checkrestart, which informs about running processes using old
    versions of upgraded files (such as shared libraries)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 30 Apr 2003 13:53:25 -0400

debian-goodies (0.7) unstable; urgency=low

  * Add new program, debman, by Colin Watson <cjwatson@debian.org>
    (Closes: #176295)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Jan 2003 15:12:05 -0500

debian-goodies (0.6) unstable; urgency=low

  * Make debget use curl instead of wget, because it supports file: URIs,
    which are often used in sources.list. (Closes: #176263)

 -- Matt Zimmerman <mdz@debian.org>  Sat, 11 Jan 2003 12:32:28 -0500

debian-goodies (0.5) unstable; urgency=low

  * Add an explicit --help option for dgrep, so that it doesn't invoke
    grep with the --help option (Closes: #173430)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 17 Dec 2002 08:42:45 -0500

debian-goodies (0.4) unstable; urgency=low

  * Fix debget to do the right thing if the requested deb has uninstalled
    dependencies

 -- Matt Zimmerman <mdz@debian.org>  Sun, 15 Dec 2002 19:21:32 -0500

debian-goodies (0.3) unstable; urgency=low

  * Switch debget from using python-apt to calling apt-get.  The things
    that it really needs aren't exposed by the python-apt API, and this
    makes it possible to use the same version specifications used with
    apt-get install (/stable, =1.2.0-1, etc.).  However, it may refuse to
    work if you have packages in broken states.

 -- Matt Zimmerman <mdz@debian.org>  Sat,  7 Dec 2002 12:11:44 -0500

debian-goodies (0.2) unstable; urgency=low

  * Fix indentation of description (Closes: #162983)

 -- Matt Zimmerman <mdz@debian.org>  Tue,  1 Oct 2002 10:00:32 -0400

debian-goodies (0.1) unstable; urgency=low

  * Initial Release.

 -- Matt Zimmerman <mdz@debian.org>  Sat, 21 Sep 2002 23:19:11 -0400
